summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* media-libs/mesa: Version bump to 18.2.3Matt Turner4 days2-0/+527
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* dev-libs/mesa-{18.2.2-r1,9999}: Depend on ocl-icd providing CL headersJan Vesely4 days2-4/+4
| | | | | Signed-off-by: Jan Vesely <jano.vesely@gmail.com> Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/mesa: Require libdrm-2.4.96Matt Turner5 days1-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/mesa: Use ICD version of OpenCLJan Vesely2018-10-082-28/+532
| | | | | | | Closes: https://github.com/gentoo/gentoo/pull/9836 Closes: https://bugs.gentoo.org/546320 Signed-off-by: Jan Vesely <jano.vesely@gmail.com> Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/mesa: Version bump to 18.2.2Matt Turner2018-10-052-0/+549
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/mesa: Drop old versionsMatt Turner2018-09-295-1694/+0
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/mesa: Propagate stable keywordsMatt Turner2018-09-291-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/mesa-18.1.6: ia64 stable, bug 664002Matt Turner2018-09-281-1/+1
|
* media-libs/mesa: arm stable, bug #664002Markus Meier2018-09-281-1/+1
| | | | | Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="arm"
* media-libs/mesa: Version bump to 18.1.9Matt Turner2018-09-242-0/+541
|
* media-libs/mesa: Version bump to 18.2.1Matt Turner2018-09-242-0/+549
|
* media-libs/mesa: stable 18.1.6 for hppa, bug #664002Rolf Eike Beer2018-09-231-1/+1
| | | | | | | Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* app-accessibility/at-spi2-atk, etc.: drop keyword ~arm-linux.Benda Xu2018-09-141-1/+1
| | | | Closes: https://bugs.gentoo.org/664598
* media-libs/mesa: Enable asserts only with USE=debugMatt Turner2018-09-112-0/+2
| | | | Closes: https://bugs.gentoo.org/665450
* media-libs/mesa: Drop old versionsMatt Turner2018-09-077-3305/+0
|
* media-libs/mesa: Version bump to 18.2.0Matt Turner2018-09-072-0/+548
|
* media-libs/mesa: Version bump to 18.1.18Matt Turner2018-09-072-0/+541
|
* media-libs/mesa: Version bump to 18.2.0_rc6Matt Turner2018-09-052-0/+548
|
* Drop arm-linux keyword from tree.Benda Xu2018-08-317-7/+7
| | | | | | | | "arm-linux" is considered deprecated, unmaintained and easily replaced by "arm". Closes: https://bugs.gentoo.org/664598 Reference: https://archives.gentoo.org/gentoo-dev/message/63bafa051cccd1eb3d2ade16823671fa
* media-libs/mesa: Version bump to 18.2.0_rc5Matt Turner2018-08-302-0/+548
|
* media-libs/mesa: Unconditionally pass -Dplatforms=...Matt Turner2018-08-301-3/+1
| | | | Closes: https://bugs.gentoo.org/663642
* media-libs/mesa: Allow USE=xa with VIDEO_CARDS=vmwareMatt Turner2018-08-301-3/+5
| | | | Closes: https://bugs.gentoo.org/664524
* media-libs/mesa: Fixed Manifest for mesa-18.1.7Lars Wendler2018-08-251-1/+1
| | | | | Closes: https://bugs.gentoo.org/664548 Package-Manager: Portage-2.3.48, Repoman-2.3.10
* media-libs/mesa: Version bump to 18.1.7Matt Turner2018-08-242-0/+541
|
* media-libs/mesa: Version bump to 18.2.0_r4Matt Turner2018-08-222-0/+548
|
* media-libs/mesa: stable 18.1.6 for sparc, bug #664002Rolf Eike Beer2018-08-201-1/+1
| | | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="sparc"
* media-libs/mesa: x86 stable wrt bug #664002Mikle Kolyada2018-08-201-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* media-libs/mesa-18.1.6: alpha stable, bug 664002Matt Turner2018-08-181-1/+1
|
* media-libs/mesa-18.1.6: ppc64 stable, bug 664002Matt Turner2018-08-181-1/+1
|
* media-libs/mesa-18.1.6: ppc stable, bug 664002Matt Turner2018-08-181-1/+1
|
* media-libs/mesa: amd64 stable wrt bug #664002Mikle Kolyada2018-08-191-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* media-libs/mesa: Depend on x11-libs/libXrandr[${MULTILIB_USEDEP}]Matt Turner2018-08-182-2/+2
| | | | Closes: https://bugs.gentoo.org/663756
* media-libs/mesa: Drop old versionsMatt Turner2018-08-174-1561/+0
|
* media-libs/mesa: Version bump to 18.2.0_r3Matt Turner2018-08-172-0/+548
|
* media-libs/mesa: Replace REQUIRED_USE with ewarnsMatt Turner2018-08-171-15/+111
| | | | | | | | | | | | | | | | | | | Mesa has a lot of configuration options and many of them are only meaningful when specific Gallium drivers are enabled. Previously we attempted to specify all of those dependencies with REQUIRED_USE logic which was tedious for users to configure but ensured they knew what they were getting. With the transition to Meson, some configuration combinations that had not been specified in REQUIRED_USE (and with autotools were silently ignored) began producing configuration errors. Rather than extend REQUIRED_USE instead provide a warning in pkg_prepare(). Closes: https://bugs.gentoo.org/658892 Closes: https://bugs.gentoo.org/658938 Closes: https://bugs.gentoo.org/663418 Closes: https://bugs.gentoo.org/663470 Closes: https://bugs.gentoo.org/663660
* media-libs/mesa: Raise dev-python/mako requirement to 0.8.0Matt Turner2018-08-171-1/+1
| | | | Upstream commit 52194ae4df18 raised the required version.
* media-libs/mesa: Drop USE=openmax supportMatt Turner2018-08-171-29/+2
| | | | | No known consumers. Reverse dependency media-libs/libomxil-bellagio seems to be unmaintained upstream.
* media-libs/mesa: Add vulkan? ( dri3 ) to REQUIRED_USEMatt Turner2018-08-152-2/+4
|
* media-libs/mesa: Default to classic i915Matt Turner2018-08-142-8/+16
| | | | | | | | | The new meson build system does not like it if you ask it to build both the classic and gallium versions of i915 and fails to configure. If both classic and gallium are enabled build only the classic i915 driver since it is better supported and supports more hardware. Closes: https://bugs.gentoo.org/663400
* media-libs/mesa: Add lm_sensors? ( gallium ) to REQUIRED_USEMatt Turner2018-08-142-0/+2
| | | | Closes: https://bugs.gentoo.org/663586
* media-libs/mesa: DEPEND on x11-libs/libXrandrMatt Turner2018-08-142-0/+2
| | | | Closes: https://bugs.gentoo.org/663422
* media-libs/mesa: Version bump to 18.1.6Matt Turner2018-08-132-0/+541
|
* media-libs/mesa: Use python3Mike Lothian2018-08-121-1/+1
| | | | | | | Mesa's meson build only uses python 3 as of commit 2ee1c86d71be ("meson: Build with Python 3") Closes: https://github.com/gentoo/gentoo/pull/9556
* media-libs/mesa: Version bump to 18.2.0_rc2Matt Turner2018-08-112-0/+472
| | | | Closes: https://bugs.gentoo.org/663328
* media-libs/mesa: Add support for llvm:8Mike Lothian2018-08-091-0/+1
| | | | | | This allows mesa-9999 to compile against llvm-9999 again Closes: https://github.com/gentoo/gentoo/pull/9423
* media-libs/mesa: Require libdrm-2.4.93 ebuild to 2.4.93Christian Widmer2018-08-081-1/+1
| | | | | Upstream raised the amdgpu libdrm dependency to 2.4.93, so we follow them.
* media-libs/mesa: Drop old versionsMatt Turner2018-07-275-2152/+0
|
* media-libs/mesa: Version bump to 18.1.5Matt Turner2018-07-272-0/+541
|
* media-libs/mesa: Version bump to 18.1.4Matt Turner2018-07-132-0/+541
|
* media-libs/mesa: Define LLVM_MAX_SLOTMatt Turner2018-07-041-0/+1
| | | | Closes: https://bugs.gentoo.org/658406